/*************************************
  Author      : 
  Email       : jack1972@naver.com 
  homepage    : http://www.kkaok.pe.kr
  Created on  : 2002.09.17 
  Description :  
       :
*************************************/
package kr.pe.kkaok.util;

import java.util.*;
import java.text.*;

public class DateUtil 
{
   SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd"); 
   SimpleDateFormat formatter2 = new SimpleDateFormat("HH:mm:ss"); 
        
   Date today = new Date();
   
   public java.util.Date now ;
   
   public DateUtil(){
        now =  new java.util.Date();
   }
   
   public String getCurrentDate(){
          String cdate = getLocaleDate(now);
          return cdate.substring(0,10).replace('-','/').trim();
   }
   
   public String getLocaleDate(Date date_){
          Locale locale = Locale.KOREAN;
          String ret = formatter.format(date_);
          return ret;
   }  

   public String getNewArticle(Date writeday){
         String newImg=""; 
         if (today.getTime()-writeday.getTime() < (1000*60*60*24*1)){
             newImg = "<img src='/kBoard/images/new.gif' border=0>" ;
         }
         return newImg;
   }  

   public String getDateFormat(Date writeday){
         String wrtday  = "";
         String nowdate = "";
         nowdate = formatter.format(today);
         wrtday  = formatter.format(writeday);
         if (nowdate.equals(wrtday)) {
           wrtday = formatter2.format(writeday);
         } 
         return wrtday;
   }  

   public String getTimeFormat(Date writeday){
         String wrtday = formatter2.format(writeday);
         return wrtday;
   }  

   public Date string2Day(String dateStr) throws Exception{
        Date string2Day;
        try {
            string2Day = formatter.parse(dateStr);
        } catch(Exception e) {
            throw new Exception("wrong format string");
        }

        return string2Day;
    }

   public long dateDiff(String datediff) throws Exception{
     Date dDate;
     dDate = string2Day(datediff);
     long day2day = 0;
     day2day = (int)((now.getTime() - dDate.getTime()) / (1000*60*60*24));
     return day2day; 
  }  
}
