/*************************************
  Author      : 
  Email       : jack1972@naver.com 
  homepage    : http://www.kkaok.pe.kr
  Created on  : 2002.09.17 
  Description : mastering java2 ̵ 188page 
       :
*************************************/
package kr.pe.kkaok.mycount;

import java.io.*;
import java.util.*;

public class PlotData extends Object 
{
  Vector dataItems;
  int total;
  int max;
  int avg;
  String maxLabel;
  
  PlotData()
  {
    dataItems = new Vector(10);
    total = 0;
    max   = 0;
    maxLabel = "";
  }
  
  public void addElement(DataItem item)
  {
    dataItems.addElement(item);
    total += item.value;
    if(item.value > max) {
      max = item.value;
      maxLabel = item.label;
    }
  }

  public DataItem elementAt(int n)
  {
    return (DataItem)dataItems.elementAt(n);
  }
  
  public int size() {return dataItems.size();}
  public int total() {return total;}
  public int maxValue() {return max;}
  public String maxLabelStr() {return maxLabel;}
  public int avgValue() {return (int)(Math.round(total/this.size()));}
}
