/*************************************
  Author      : 
  Email       : jack1972@naver.com 
  homepage    : http://www.kkaok.pe.kr
  Created on  : 2002.09.17 
  Description :  
       :
*************************************/
package kr.pe.kkaok.mycount;

public class CountManager{

    public static CountManager instance;
    public int  today;
    public int  totalSum;
    
    static synchronized public CountManager getInstance() {
        if (instance == null) {
            instance = new CountManager();
        }
        return instance;
    }
    private CountManager() {
        init();
    }
    private void init(){
        today = 0;
        totalSum = 0;
    }
    public void addCount(int d,int t)
    {
        today = d;
        totalSum = t;
    }
    public int getToday(){
        return today;
    }
    public int getTotalSum(){
        return totalSum;
    }
}
