/*************************************
  Author      : 
  Email       : jack1972@naver.com 
  homepage    : http://www.kkaok.pe.kr
  Created on  : 2002.09.17 
  Description :  
       :
*************************************/
package kr.pe.kkaok.mycount;

import java.io.*;
import java.sql.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import kr.pe.kkaok.common.ErrException;

public class Dayofweek extends HttpServlet {
  PlotData data = null;

  public void doGet(HttpServletRequest request, HttpServletResponse response)
  {
    // ʱȭ  
    data = new PlotData();
    // PrintWriter 
    response.setContentType("text/html; charset=EUC-KR");
    PrintWriter out   = null; 
    try{ 
      out = response.getWriter();
    }catch(IOException ie){}    
    CountHtmlForm strHtml = new CountHtmlForm();
    // database 
    try{
      getWeeklyCnt();
      out.println(strHtml.printHeader());
      out.println(strHtml.printMenu());
      printMain(out);
      out.println(strHtml.printBottom());
    }catch(ErrException e){
      out.println(e.errMessage());
    }catch(Exception ex){
      try{
        throw new ErrException("Dayofweek.java","doGet","ĶͰ null̰ų ùٸ ʽϴ.<BR>"+ex.getMessage(),"Exception");
      }catch(ErrException err){
        out.println(err.errMessage());
      }
    }
  }

  private void printMain(PrintWriter out){
    int totalSum       = data.total();
    int maxWeekCnt     = data.maxValue();   
    String maxWeekName = data.maxLabelStr();
    int avg = data.avgValue();

    out.println("  <tr>");
    out.println("    <td colspan=2 align=center>");
    out.println("      <table width=480 cellspacing=0 cellpadding=0 border=0>");
    out.println("        <TR><TD><B>Day of Week statistics</b></TD></TR>");
    out.println("      </TABLE>");
    out.println("      <table cellspacing=0 cellpadding=3 border=0>");
    out.println("        <TR height=10><TD colspan=2></TD></TR>");
    out.println("        <tr height=20>");
    out.println("          <td width=200 align=right><b>Total : </b></td>");
    out.println("          <td width=200>"+totalSum+" hits </td>");
    out.println("        </TR>");
    out.println("        <tr height=20 >");
    out.println("          <td align=right width=200><b>Max [</b> "+maxWeekName+" <b>] : </b></td>");
    out.println("          <td width=200>"+maxWeekCnt+" hits ["+(int)((float)((float)maxWeekCnt/(float)totalSum)*100)+"%]</td>");
    out.println("        </TR>");
    out.println("        <tr height=20 >");
    out.println("          <td align=right width=200><b>Avg : </b></td>");
    out.println("          <td width=200>"+avg+" hits</td>");
    out.println("        </TR>");
    out.println("        <TR height=10><TD colspan=2></td></tr>");
    out.println("      </table>");
    out.println("      <table width=100% cellspacing=0 cellpadding=1>");
    out.println("        <tr height=20><td colspan=2><b>Day of Week graph</b></td>");
    out.println("        <tr height=10><td colspan=2></td></TR>");
    out.println("        <TR bgcolor=#dddddd height=1><TD colspan=2></TD></TR>");
    out.println("        <TR height=10><TD colspan=2></TD></TR>");
    String getWeek    = ""; 
    int    getWeekCnt = 0;
    for (int q = 0; q < data.size(); q++) {
      getWeek    = data.elementAt(q).label;
      getWeekCnt = data.elementAt(q).value; 
      if(getWeekCnt==maxWeekCnt){
        out.println("<TR><TD width='17%' align=center>&nbsp;"+getWeek+"</TD><TD><img src='/kcount/images/graph.gif' height=10 width="+(int)((float)getWeekCnt/(float)maxWeekCnt*65)+"% ><span style='font-size:7pt;'>&nbsp;( "+(int)((float)getWeekCnt/(float)totalSum*100)+"% <b>"+getWeekCnt+"</b> hits <font color=red>max</font>)</span></TD></TR>"); 
      }else{
        out.println("<TR><TD width='17%' align=center>&nbsp;"+getWeek+"</TD><TD><img src='/kcount/images/graph.gif' height=10 width="+(int)((float)getWeekCnt/(float)maxWeekCnt*65)+"% ><span style='font-size:7pt;'>&nbsp;( "+(int)((float)getWeekCnt/(float)totalSum*100)+"% <b>"+getWeekCnt+"</b>)</span></TD></TR>"); 
      }
    }
  }

  public void getWeeklyCnt() throws ServletException,ErrException
  {
    String[] weekNameStr = { "", "", "", "", "", "", "" };
    String sql = "select count(idx) cnt,dayofweek from kcount group by dayofweek ";
    ResultSet rs = null;
    PreparedStatement pstmt = null;
    Connection conn = null;
    try{
      conn = DriverManager.getConnection("jdbc:jdc:jdcpool");
      pstmt = conn.prepareStatement(sql);
      rs = pstmt.executeQuery();
      while(rs.next()){
        DataItem d = new DataItem(weekNameStr[(rs.getInt("dayofweek")-1)]+"#"+rs.getString("cnt"));         
        data.addElement(d);           
      }  
    } catch (SQLException se) {
      throw new ErrException("Dayofweek.java","getWeeklyCnt","Ϻ ī͸ ϴ   ߻߽ϴ.<BR>"+se.getMessage(),"SQLException");
    } catch (Exception e) {
      throw new ErrException("Dayofweek.java","getWeeklyCnt","Ϻ ī͸ ϴ   ߻߽ϴ.<BR>"+e.getMessage(),"Exception");
    }finally{
      if (rs!=null) try{rs.close();}catch(Exception se){}  
      if (pstmt!=null) try{pstmt.close();}catch(Exception se){}  
      try{if (conn!=null) conn.close();}catch(SQLException se){}
    }
  }
}  
