/*************************************
  Author      : 
  Email       : jack1972@naver.com 
  homepage    : http://www.kkaok.pe.kr
  Created on  : 2002.09.17 
  Description :  
       :
*************************************/
package kr.pe.kkaok.common;

public class ErrException extends Exception
{
  private String errPage;
  private String errMethod;
  private String errMessage;
  private String errException;
        
  public ErrException() {
    super();
  }

  public ErrException(String p,String m,String me,String e)
  {
    super(me);
    errPage = p;
    errMethod = m;
    errMessage = me;
    errException = e;
  }
    
  public String errMessage()
  {
    StringBuffer sb = new StringBuffer();
    sb.append("<html>\n");
    sb.append("<body>\n");
    sb.append("<style>\n");
    sb.append("body {font-size:9pt; font-family:tahoma;}\n");
    sb.append("table {font-size:9pt; font-family:tahoma;color:black}\n");
    sb.append("A { color:black; text-decoration:none}\n");
    sb.append("A:hover {color:red;text-decoration:none;}\n");
    sb.append("td {background-color:#f4f4f4;padding:10;height:20}\n");
    sb.append("td.nocolor {background-color:#ffffff;height:20;text-align:right}\n");
    sb.append("td.title {background-color:#ffffff;height:30;}\n");
    sb.append("</style>\n");
    sb.append("<bR><br><br>\n");
    sb.append("<center>\n");
    sb.append("<table cellpadding=0 cellspacing=0 border=0 width=520>\n");
    sb.append("<tr><td class=title><b><font size=3>Error Report</font></b></td></tr>\n");
    sb.append("</table>\n");
    sb.append("<table cellpadding=0 cellspacing=1 border=0 bgcolor=#666666 width=520>\n");
    sb.append("<tr>\n");
    sb.append("  <td width=120>error page</td>\n");
    sb.append("  <td width=400>"+errPage+"</td>\n");
    sb.append("</tr>\n");
    sb.append("<tr>\n");
    sb.append("  <td>error method</td>\n");
    sb.append("  <td>"+errMethod+"</td>\n");
    sb.append("</tr>\n");
    sb.append("<tr>\n");
    sb.append("  <td>error message</td>\n");
    sb.append("  <td>"+errMessage+"</td>\n");
    sb.append("</tr>\n");
    sb.append("<tr>\n");
    sb.append("  <td>caught exception</td>\n");
    sb.append("  <td>"+errException+"</td>\n");
    sb.append("</tr>\n");
    sb.append("</table>\n");
    sb.append("</center>\n");
    sb.append("</body>\n");
    sb.append("</html>\n");
    return sb.toString();
  }
}
