/*************************************
  Author      : 
  Email       : jack1972@naver.com 
  homepage    : http://www.kkaok.pe.kr
  Created on  : 2002.09.17 
  Description :  
       :
*************************************/
package kr.pe.kkaok.pool;

import java.util.*;

public class PoolMgr{
  public static PoolMgr instance;
  static synchronized public PoolMgr getInstance() {
      if (instance == null) {
          instance = new PoolMgr();
      }
      return instance;
  }
  private PoolMgr() {
    ResourceBundle bundle = null;
    try {
      bundle = ResourceBundle.getBundle("URL");
      String DB_DRIVER = (String)bundle.getString("DB_DRIVER");
      String DB_ID = (String)bundle.getString("DB_ID");
      String DB_PWD = (String)bundle.getString("DB_PWD");
      new pool.JDCConnectionDriver("org.gjt.mm.mysql.Driver",DB_DRIVER,DB_ID,DB_PWD); 
    } catch (Exception e) {
        System.out.println("Err: "+e.toString());
    }
  }
}
